Lucene search

K
amazonAmazonALAS2-2023-2048
HistoryMay 11, 2023 - 5:49 p.m.

Medium: libwebp

2023-05-1117:49:00
alas.aws.amazon.com
38

9.8 High

CVSS3

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

NONE

User Interaction

NONE

Scope

UNCHANGED

Confidentiality Impact

HIGH

Integrity Impact

HIGH

Availability Impact

HIGH

CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

7.3 High

AI Score

Confidence

Low

7.5 High

CVSS2

Access Vector

NETWORK

Access Complexity

LOW

Authentication

NONE

Confidentiality Impact

PARTIAL

Integrity Impact

PARTIAL

Availability Impact

PARTIAL

AV:N/AC:L/Au:N/C:P/I:P/A:P

0.003 Low

EPSS

Percentile

69.3%

Issue Overview:

2023-08-03: CVE-2018-25014 was added to this advisory.

A heap-based buffer overflow was found in libwebp in versions before 1.0.1 in ShiftBytes(). (CVE-2018-25013)

A flaw was found in libwebp. An unitialized variable is used in function ReadSymbol. The highest threat from this vulnerability is to data confidentiality and integrity as well as system availability. (CVE-2018-25014)

Affected Packages:

libwebp

Note:

This advisory is applicable to Amazon Linux 2 (AL2) Core repository. Visit this FAQ section for the difference between AL2 Core and AL2 Extras advisories.

Issue Correction:
Run yum update libwebp to update your system.

New Packages:

aarch64:  
    libwebp-0.3.0-10.amzn2.0.2.aarch64  
    libwebp-tools-0.3.0-10.amzn2.0.2.aarch64  
    libwebp-devel-0.3.0-10.amzn2.0.2.aarch64  
    libwebp-java-0.3.0-10.amzn2.0.2.aarch64  
    libwebp-debuginfo-0.3.0-10.amzn2.0.2.aarch64  
  
i686:  
    libwebp-0.3.0-10.amzn2.0.2.i686  
    libwebp-tools-0.3.0-10.amzn2.0.2.i686  
    libwebp-devel-0.3.0-10.amzn2.0.2.i686  
    libwebp-java-0.3.0-10.amzn2.0.2.i686  
    libwebp-debuginfo-0.3.0-10.amzn2.0.2.i686  
  
src:  
    libwebp-0.3.0-10.amzn2.0.2.src  
  
x86_64:  
    libwebp-0.3.0-10.amzn2.0.2.x86_64  
    libwebp-tools-0.3.0-10.amzn2.0.2.x86_64  
    libwebp-devel-0.3.0-10.amzn2.0.2.x86_64  
    libwebp-java-0.3.0-10.amzn2.0.2.x86_64  
    libwebp-debuginfo-0.3.0-10.amzn2.0.2.x86_64  

Additional References

Red Hat: CVE-2018-25013, CVE-2018-25014

Mitre: CVE-2018-25013, CVE-2018-25014

9.8 High

CVSS3

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

NONE

User Interaction

NONE

Scope

UNCHANGED

Confidentiality Impact

HIGH

Integrity Impact

HIGH

Availability Impact

HIGH

CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

7.3 High

AI Score

Confidence

Low

7.5 High

CVSS2

Access Vector

NETWORK

Access Complexity

LOW

Authentication

NONE

Confidentiality Impact

PARTIAL

Integrity Impact

PARTIAL

Availability Impact

PARTIAL

AV:N/AC:L/Au:N/C:P/I:P/A:P

0.003 Low

EPSS

Percentile

69.3%